﻿namespace anbs_cp.Extensions;

/// <summary>
/// Расширение типа "правда/ложь"
/// </summary>
public static class BooleanExtensions
{
    /// <summary>
    /// Вывод в строку <paramref name="ifTrue"/>, если выражение <paramref name="b"/> правдиво и <paramref name="ifFalse"/> в противном случае.
    /// </summary>
    /// <param name="b">Выражение типа правда/ложь</param>
    /// <param name="ifTrue">Строка для правдивого выражения</param>
    /// <param name="ifFalse">Строка для лживого выражения</param>
    /// <returns>Вывод строки</returns>
    public static string ExportToString (this bool b, string ifTrue, string ifFalse) => b ? ifTrue : ifFalse;
}